%global _empty_manifest_terminate_build 0
Name:		python-flufl.i18n
Version:	4.1.1
Release:	1
Summary:	High level API for internationalizing Python libraries and applications.
License:	Apache 2.0
URL:		https://pypi.org/project/flufl.i18n
Source0:	https://files.pythonhosted.org/packages/82/0f/757b6bdedaa7f29a52b37a4e59451eced726a1338ccf5b63b44fb0808193/flufl.i18n-%{version}.tar.gz
BuildArch:	noarch

%description
The flufl.i18n library provides a convenient API for managing translation contexts in Python applications.
It provides facilities not only for single-context applications like command line scripts, but also more
sophisticated management of multiple-context applications such as Internet servers.

%package -n python3-flufl.i18n
Summary:	High level API for internationalizing Python libraries and applications.
Provides:	python-flufl.i18n
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools
BuildRequires:	python3-pip
BuildRequires:	python3-wheel
BuildRequires:	python3-pdm-pep517

%description -n python3-flufl.i18n
The flufl.i18n library provides a convenient API for managing translation contexts in Python applications.
It provides facilities not only for single-context applications like command line scripts, but also more
sophisticated management of multiple-context applications such as Internet servers.

%package    help
Summary:	Development documents and examples for flufl.i18n
Provides:	python3-flufl.i18n-doc

%description help
Development documents and examples for flufl.i18n.

%prep
%autosetup -n flufl.i18n-%{version}

%build
%pyproject_build

%install
%pyproject_install flufl.i18n==%{version}
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
	find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
	find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
	find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
	find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
	find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%files -n python3-flufl.i18n -f filelist.lst
%dir %{python3_sitelib}/*
%{python3_sitelib}/flufl/i18n

%files help -f doclist.lst
%{_pkgdocdir}

%changelog
* Tue Apr 25 2023 caodongxia <caodongxia@h-partners.com> - 4.1.1-1
- Upgrade to 4.1.1

* Thu Dec 31 2020 leiju <leiju4@huawei.com> - 3.1.3-2
- Modify Spec and yaml filename

* Thu Dec 17 2020 Python_Bot <Python_Bot@openeuler.org> - 3.1.3-1
- Package Spec generated
